Package: mayavi2 / 4.7.1-2

Metadata

Package Version Patches format
mayavi2 4.7.1-2 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
pyinterpreter.diff | (download)

mayavi/scripts/mayavi2 | 2 1 + 1 - 0 !
mayavi/scripts/mayavi2.py | 2 1 + 1 - 0 !
2 files changed, 2 insertions(+), 2 deletions(-)

 correct python interpreter string


help.diff | (download)

mayavi/action/help.py | 3 2 + 1 - 0 !
1 file changed, 2 insertions(+), 1 deletion(-)

 point to doc dir of debian package


ipython.diff | (download)

mayavi/tests/README.txt | 3 1 + 2 - 0 !
1 file changed, 1 insertion(+), 2 deletions(-)

 ?


wxpy3.0 compat.patch | (download)

docs/source/mayavi/auto/wx_embedding.py | 2 1 + 1 - 0 !
docs/source/mayavi/auto/wx_mayavi_embed_in_notebook.py | 2 1 + 1 - 0 !
examples/mayavi/interactive/wx_embedding.py | 2 1 + 1 - 0 !
examples/mayavi/interactive/wx_mayavi_embed_in_notebook.py | 2 1 + 1 - 0 !
tvtk/util/wx_gradient_editor.py | 6 3 + 3 - 0 !
5 files changed, 7 insertions(+), 7 deletions(-)

 fixes for wxpython 3.0
 Retains compatibility with 2.8 - there wx.InitAllImageHandlers() is a no-op,
 wx.HIDE_READONLY is 0, and wx.PySimpleApp() issues a deprecation warning.
fix syntaxwarning.patch | (download)

mayavi/tools/figure.py | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

 [patch] bug: fix literal comparison


remove vtk requires.patch | (download)

mayavi.egg-info/requires.txt | 1 0 + 1 - 0 !
mayavi/__init__.py | 1 0 + 1 - 0 !
2 files changed, 2 deletions(-)

 remove vtk from requirements due to missing metadata
 By default, mayavi attempts to discover its dependencies using
 pkg_resources.  Unfortunately, the Debian vtk package doesn't include the
 necessary metadata.  Thus, we remove this requirement from the package.  The
 package requirement will be enforced by the Debian packaging.
unminify x3dom.patch | (download)

mayavi/tools/static/x3d/x3dom.js | 59492 54993 + 4499 - 0 !
1 file changed, 54993 insertions(+), 4499 deletions(-)

 replace minified x3dom.js with unminified version
 Upstream embeds a copy of the minified version of x3dom 1.7.1.  Replace this
 with the 'debug' version of x3dom 1.7.1 which is unminified.  The source is
 from http://x3dom.org/download/1.7.1/x3dom-1.7.1.zip.